PROJ	= homography
#LIBS	= -lLAPACK -lm 
#CFLAGS  = -I/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/Headers  -c -g -Wall
LIBS	=  -lm
CFLAGS  = -c -g -Wall

LFLAGS  = 
CC	= gcc
#
#
OBJS = homography.o pnm.o matrix.o fill.o convolution.o morphology.o follow.o triangles.o singular_value_decomposition.o

all: $(PROJ)

$(PROJ): $(OBJS)
	$(CC) $(LFLAGS) -o $(PROJ) $(OBJS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $< -o $@

install:
	@echo "Installing $(PROJ)..."
	cp $(PROJ) $(HOME)/bin
	( cd $(HOME)/bin; chmod a+rx $(PROJ) )
	@echo "done"

clean:
	rm -f  *.o  $(PROJ)


